# $Revision: 1.26 $, $Date: 2007/02/13 08:06:41 $
Summary:	Drivers for printing to HP PPA printers
Summary(pl.UTF-8):	Sterowniki do drukarek HP PPA
Name:		pnm2ppa
Version:	1.12
Release:	2
License:	GPL
Group:		Applications/Publishing
Source0:	http://dl.sourceforge.net/pnm2ppa/%{name}-%{version}.tar.gz
# Source0-md5:	effd8c42bbe7c970e70fa7d9d991275b
Source1:	ppa-0.8.6.tar.gz
# Source1-md5:	fb40576435d5979db64fbea305ec224b
Source2:	%{name}-filters.tar.gz
# Source2-md5:	c73c6d86ef7e143f8464ba40c4dfa9bb
Patch0:		pbm2ppa-20000205.diff
Patch1:		%{name}-pld.patch
Patch2:		%{name}-destdir.patch
URL:		http://pnm2ppa.sourceforge.net/
Requires:	ghostscript
Requires:	mpage
Obsoletes:	ppa
Obsoletes:	pbm2ppa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pnm2ppa is a color driver for HP PPA host-based printers such as the
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi. It
accepts ghostscript output in PNM formats, and sends it to the printer
in PPA format. The older (black only) driver pbm2ppa is also included.

Install pnm2ppa if you have a PPA printer and need to print.

For further information, see the pnm2ppa project homepage at
<http://pnm2ppa.sourceforge.net/>.

%description -l pl.UTF-8
pnm2ppa to obsługujący kolor sterownik do drukarek HP PPA, takich jak
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, 1000Cxi. Przyjmuje
wyjście ghostscripta w formacie PNM, wysyła je na drukarkę w formacie
PPA. Załączona jest też starsza (obsługująca tylko czerń) wersja
sterownika o nazwie pbm2ppa.

Więcej informacji znajduje się na stronie projektu.

%prep
%setup -q -a1 -a2
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -pedantic -DLANG_\$(LANG)"

%{__make} -C pbm2ppa-0.8.6 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1,%{_libdir}/lpfilters}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

install utils/Linux/detect_ppa $RPM_BUILD_ROOT%{_bindir}
install utils/Linux/test_ppa $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbm2ppa $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbmtpg $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbm2ppa.conf $RPM_BUILD_ROOT%{_sysconfdir}
install pbm2ppa-0.8.6/pbm2ppa.1 $RPM_BUILD_ROOT%{_mandir}/man1
install pnm2ppa-filters/pnm2ppa-filter-bw $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-bw-eco $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-color $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-color-eco $RPM_BUILD_ROOT%{_libdir}/lpfilters

install -d pbm2ppa
for file in CALIBRATION CREDITS README ; do
	install -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/en/{CREDITS,INSTALL,README,RELEASE-NOTES,TODO,COLOR.txt,CALIBRATION.txt}
%doc test.ps pbm2ppa
%lang(pl) %doc docs/pl/{AUTORZY,CZYTAJ.TO,INSTALACJA,KALIBRACJA}
%attr(755,root,root) %{_bindir}/pnm2ppa
%attr(755,root,root) %{_bindir}/pbm2ppa
%attr(755,root,root) %{_bindir}/pbmtpg
%attr(755,root,root) %{_bindir}/calibrate_ppa
%attr(755,root,root) %{_bindir}/test_ppa
%attr(755,root,root) %{_bindir}/detect_ppa
%{_mandir}/man1/*.1*
%attr(755,root,root) %{_libdir}/lpfilters/pnm2ppa-filter-*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pnm2ppa.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pbm2ppa.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pnm2ppa.spec,v $
Revision 1.26  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.24  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.23  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.22  2004/10/18 18:52:55  qboosh
- gpm-friendly Source0 URL

Revision 1.21  2004/08/27 20:06:55  qboosh
- typo in CFLAGS (fixes SEGV reported by hawk); release 2

Revision 1.20  2003/10/30 13:54:37  qboosh
- use optflags, removed LICENSE from doc (just GPL), added pl docs

Revision 1.19  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.18  2003/06/22 10:39:47  eothane
checkpassword-pam.spec

Revision 1.17  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.16  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/15 22:26:19  mkierus
- updated to 1.12

Revision 1.13  2002/07/15 09:26:35  mkierus
- fixed source

Revision 1.12  2002/07/15 09:24:10  mkierus
- updated to stable 1.10

Revision 1.11  2002/06/23 21:34:57  mkierus
- updated to 1.10pre3 (fix bug in -g option: color correction test output, add support for 300dpi input)

Revision 1.10  2002/06/19 08:28:40  kloczek
- use new %doc.

Revision 1.9  2002/06/17 08:24:09  mkierus
- updated to 1.10pre2 (1.10pre2 fixes a bug in 1.10pre1)

Revision 1.8  2002/06/12 12:40:03  mkierus
- updated to 1.10pre1 (many changes since 1.04)

Revision 1.7  2002/04/26 13:24:38  ankry
- removed non-working URL

Revision 1.6  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/07 19:57:15  blues
- simplifications in files

Revision 1.2  2001/12/07 16:06:00  qboosh
- adapterized, pl translations, cleanup, gzip doc

Revision 1.1  2001/03/23 15:13:29  misiek
renamed

Revision 1.1  2001/03/22 15:57:25  mkierus
- Initial release based on spec from SourceForge
- Added filters for LPRng
